#include "app_params.h"

const uint32						AppParams::nPixFormats = 14;
const AppParams::PixelFormatText	AppParams::pixFmtTxt[nPixFormats + 1] =
{
	{ B_NO_COLOR_SPACE, "undefined" },
	{ B_RGB32, 			"xRGB 8:8:8:8" },
	{ B_RGBA32,			"ARGB 8:8:8:8" },
	{ B_RGB24,			"RGB 8:8:8" },
	{ B_RGB16,			"RGB 5:6:5" },
	{ B_RGB15,			"xRGB 1:5:5:5" },
	{ B_RGBA15,			"ARGB 1:5:5:5" },
	{ B_CMAP8,			"CLUT 256" },
	{ B_RGB32_BIG,		"BGRx 8:8:8:8" },
	{ B_RGBA32_BIG,		"BGRA 8:8:8:8" },
	{ B_RGB24_BIG,		"BGR 8:8:8" },
	{ B_RGB16_BIG,		"BGR 5:6:5" },
	{ B_RGB15_BIG,		"BGRx 5:5:5:1" },
	{ B_RGBA15_BIG,		"BGRA 5:5:5:1" },

	{ (color_space)-1,	"alien format" }
};

const AppParams::PixelFormatText	AppParams::pixFmtId[nPixFormats + 1] =
{
	{ B_NO_COLOR_SPACE, "B_NO_COLOR_SPACE" },
	{ B_RGB32, 			"B_RGB32" },
	{ B_RGBA32,			"B_RGBA32" },
	{ B_RGB24,			"B_RGB24" },
	{ B_RGB16,			"B_RGB16" },
	{ B_RGB15,			"B_RGB15" },
	{ B_RGBA15,			"B_RGBA15" },
	{ B_CMAP8,			"B_CMAP8" },
	{ B_RGB32_BIG,		"B_RGB32_BIG" },
	{ B_RGBA32_BIG,		"B_RGBA32_BIG" },
	{ B_RGB24_BIG,		"B_RGB24_BIG" },
	{ B_RGB16_BIG,		"B_RGB16_BIG" },
	{ B_RGB15_BIG,		"B_RGB15_BIG" },
	{ B_RGBA15_BIG,		"B_RGBA15_BIG" },

	{ (color_space)-1,	"alien format" }
};
